FcPatternAdd(3)

NAME
FcPatternAdd - Add a value to a pattern

SYNOPSIS
#include <fontconfig.h>

FcBool FcPatternAdd(FcPattern *p);
(const char *object);
(FcValue value);
(FcBool append);
.fi

DESCRIPTION

Adds a single value to the list of values associated with the property named `object. If `append is FcTrue, the value is added at the end of any existing list, otherwise it is inserted at the begining. `value' is saved (with FcValueSave) when inserted into the pattern so that the library retains no reference to any application-supplied data structure.

VERSION

Fontconfig version 2.8.0